Package ghidra.app.util.viewer.field

# Class ArrayElementWrappedOption

java.lang.Object
ghidra.app.util.viewer.field.ArrayElementWrappedOption

All Implemented Interfaces:
  `CustomOption`

public class ArrayElementWrappedOption extends Object implements CustomOption

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.options.CustomOption

  `CUSTOM_OPTION_CLASS_NAME_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayElementWrappedOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getArrayElementsPerLine()`
  `int`
  `hashCode()`
  `void`
  `readState(GProperties properties)`
  Read state from the given properties
  `void`
  `setArrayElementsPerLine(int arrayElementsPerLine)`
  `void`
  `setShowMultipleArrayElementPerLine(boolean b)`
  `boolean`
  `showMultipleArrayElementPerLine()`
  `void`
  `writeState(GProperties properties)`
  Write state into the given properties

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.options.CustomOption

  `toString`

- ## Constructor Details

  - ### ArrayElementWrappedOption

    public ArrayElementWrappedOption()

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### readState

    public void readState(GProperties properties)
    Description copied from interface: `CustomOption`
    Read state from the given properties
    Specified by:
      `readState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### writeState

    public void writeState(GProperties properties)
    Description copied from interface: `CustomOption`
    Write state into the given properties
    Specified by:
      `writeState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### showMultipleArrayElementPerLine

    public boolean showMultipleArrayElementPerLine()

  - ### setShowMultipleArrayElementPerLine

    public void setShowMultipleArrayElementPerLine(boolean b)

  - ### getArrayElementsPerLine

    public int getArrayElementsPerLine()

  - ### setArrayElementsPerLine

    public void setArrayElementsPerLine(int arrayElementsPerLine)